Skip to main content
GET
List role assignments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

entity_ids
string<uuid>[]

Filter to grants on these entity (resource or group) IDs. Any-match.

principal_ids
string<uuid>[]

Filter to grants with these principal (user, group, or resource) IDs. Any-match.

entity_type
enum<string>

Filter by entity type. Omit to include both RESOURCE and GROUP entities. Entity type for a role assignment. Entities are the resources or groups access is granted on.

Available options:
GROUP,
RESOURCE
Example:

"RESOURCE"

principal_type
enum<string>

Filter by principal type. Omit to include USER, GROUP, and RESOURCE principals. The type of an entity.

Available options:
GROUP,
RESOURCE,
USER
Example:

"GROUP"

cursor
string

The pagination cursor value.

page_size
integer

Number of results to return per page. Default is 200.

Required range: x <= 1000

Response

Paginated list of role assignments.

A paginated page of role assignments.

results
object[]
required
next
string | null

The cursor with which to continue pagination if additional result pages exist.

Example:

"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"

previous
string | null

The cursor used to obtain the current result page.

Example:

"cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ"